#if !defined(__OCF4MFC_H)
#define __OCF4MFC_H

#include <afxwin.h> 
#include <afxdlgs.h>

#pragma option -Vh-         // Don't coerce huge classes for OCF
#include <ocf/ocfpch.h>
#include "ocfhlpr.h"
#include "ocfhlpr.rh"
#pragma option -Vh

//
// Class CMDIFrameOCF
// ===== ============
//
class CMDIFrameOCF : public CMDIFrameWnd {

    DECLARE_DYNAMIC(CMDIFrameOCF)

  protected:
    TOleFrameWin* OCFHlpr;

    // message handlers
    //{{AFX_MSG(CMDIFrameOCF)
    afx_msg int     OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void    OnDestroy();
    afx_msg LRESULT OnOcEvent(WPARAM wp, LPARAM lp);
    //}}AFX_MSG


    // OCF event handlers
    //
    bool       OnOcAppFrameRect(HWND hwnd, TRect far* rect);
    bool       OnOcAppInsMenus(HWND hwnd, TOcMenuDescr far* sharedMenu);
    bool       OnOcAppMenus(HWND hwnd, TOcMenuDescr far* menuDescr);
    bool       OnOcAppProcessMsg(HWND, MSG far*);
    bool       OnOcAppBorderSpaceReq(HWND, TRect far*);
    bool       OnOcAppBorderSpaceSet(HWND hwnd, TRect far* rect);
    void       OnOcAppStatusText(HWND, const char far* /*text*/);
    void       OnOcAppRestoreUI(HWND hwnd);

    DECLARE_MESSAGE_MAP()
};



//
// Class CMDIChildOCF
// ===== ============
//
class CMDIChildOCF : public CMDIChildWnd {

  protected:
    TOleWin*  OCFHlpr;

    // message handlers
    //{{AFX_MSG(CMDIChildOCF)
    afx_msg int     OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void    OnDestroy();

    afx_msg void    OnLButtonDown(UINT nFlags, CPoint pt);
    afx_msg void    OnLButtonDblClk(UINT nFlags, CPoint pt);

    afx_msg void    OnSize(UINT type, int cx, int cy);

    afx_msg LRESULT OnOcEvent(WPARAM wp, LPARAM lp);

    afx_msg void    OnUpdateInsertObject(CCmdUI* pCmdUI);
    afx_msg void    OnInsertObject();
    //}}AFX_MSG

    DECLARE_MESSAGE_MAP()
};


#endif  //  __OCF4MFC_H
